<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\BelegungDetails;

class BelegungDetailsView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'teilnehmer/zsa_teilnehmeruebersicht/detailsreiter/belegung_details.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->belegung->prio_select = $this->prioOptionen($this->viewModel->belegung->prioanm);

    return array($this->viewModel->belegung);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpBelegung();
  }

  
  private function prioOptionen($selectedPrio)
  {
    $result = '';
    for ($i = 1; $i <= 99; $i++) {
      $class = '';
      $zusatz = '';
      if (in_array($i, $this->viewModel->vergebenePrioritaeten)) {
        $class = ' class="prioritaetBereitsVergeben" ';
        $zusatz = ' - Priorität bereits vergeben';
      }

      $selected = ($selectedPrio == $i) ? 'selected' : '';
      $result .= '<option value="' . $i . '" ' . $class . ' ' . $selected . '>' . $i . $zusatz . '</option>' . "\n";
    }

    return $result;
  }
}

class BelegungDetailsViewModel
{
  public $belegung;
  public $vergebenePrioritaeten;
}